export declare const IMCtrl = "__imctrl";
export declare function Property(setter?: string, getter?: string, isPramArr?: boolean, supportWithinConfig?: boolean, order?: number): Function;
export declare const isEmpty: (value: any) => boolean;
export declare const getMethodPrefix: (type: MethodType) => string;
export interface PropertyDictionary {
    [propertyName: string]: PropertyMethod;
}
export interface PropertyMethod {
    getter: string;
    setter: string;
    isPramArr: boolean;
    supportWithinConfig: boolean;
    order: number;
}
export declare enum MethodType {
    getter = 0,
    setter = 1
}
