import { QueryList, ElementRef, EventEmitter } from '@angular/core';
import { GC } from '../inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcShortcutInfoComponent {
    shortcutKey: GC.InputMan.GcShortcutKey;
    shift: boolean;
    ctrl: boolean;
    alt: boolean;
    target: string;
    action: GC.InputMan.IAction | GC.InputMan.GcShortcutAction;
    blockMessage: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcShortcutInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcShortcutInfoComponent, "gc-shortcut-info", never, { "shortcutKey": "shortcutKey"; "shift": "shift"; "ctrl": "ctrl"; "alt": "alt"; "target": "target"; "action": "action"; "blockMessage": "blockMessage"; }, {}, never, never, false, never>;
}
export declare class GcShortcutComponent extends GcComponents<GC.InputMan.GcShortcut> {
    blockMessage: boolean;
    triggerAll: boolean;
    shortcutInfoList: QueryList<GcShortcutInfoComponent>;
    preAction: EventEmitter<object>;
    postAction: EventEmitter<object>;
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    tryGetTarget(str: string): any;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcShortcutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcShortcutComponent, "gc-shortcut", never, { "blockMessage": "blockMessage"; "triggerAll": "triggerAll"; }, { "preAction": "preAction"; "postAction": "postAction"; }, ["shortcutInfoList"], never, false, never>;
}
