import { AfterViewInit, ElementRef } from '@angular/core';
import { GC } from '../inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcTipNotifierComponent extends GcComponents<GC.InputMan.GcTipNotifier> implements AfterViewInit {
    private _parent;
    ngAfterViewInit(): void;
    protected bindEvent(): void;
    constructor(ref: ElementRef, _parent: GcComponents<GC.InputMan.GcInputManBase | GC.InputMan.GcComboBox>);
    direction: string;
    position: string;
    directionPriority: Array<GC.InputMan.TipDirection>;
    template: string;
    failMessage: string;
    successMessage: string;
    tipState: string;
    style: GC.InputMan.TipStyle;
    protected initGcComponent(): void;
    onFail(): void;
    onSuccess(): void;
    onClear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcTipNotifierComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcTipNotifierComponent, "gc-tip-notifier", never, { "direction": "direction"; "position": "position"; "directionPriority": "directionPriority"; "template": "template"; "failMessage": "failMessage"; "successMessage": "successMessage"; "tipState": "tipState"; "style": "style"; }, {}, never, never, false, never>;
}
