import { QueryList, ElementRef, EventEmitter } from '@angular/core';
import { GC } from '../inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcFunctionKeyInfoComponent {
    key: GC.InputMan.FunctionKey;
    description: string;
    tipText: string;
    displayStyle: GC.InputMan.DisplayStyle;
    imagePosition: GC.InputMan.ImagePosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcFunctionKeyInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcFunctionKeyInfoComponent, "gc-function-key-info", never, { "key": "key"; "description": "description"; "tipText": "tipText"; "displayStyle": "displayStyle"; "imagePosition": "imagePosition"; }, {}, never, never, false, never>;
}
export declare class GcFunctionKeyComponent extends GcComponents<GC.InputMan.GcFunctionKey> {
    keyRepeat: boolean;
    handleMouse: boolean;
    showTip: boolean;
    combinationKeyDisplayMode: GC.InputMan.CombinationKeyDisplayMode;
    functionKeys: (GC.InputMan.FunctionKeyInfo | GC.InputMan.FunctionKey)[];
    enabled: boolean;
    visible: boolean;
    functionKeyComponents: QueryList<GcFunctionKeyInfoComponent>;
    onActived: EventEmitter<object>;
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcFunctionKeyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcFunctionKeyComponent, "gc-function-key", never, { "keyRepeat": "keyRepeat"; "handleMouse": "handleMouse"; "showTip": "showTip"; "combinationKeyDisplayMode": "combinationKeyDisplayMode"; "functionKeys": "functionKeys"; "enabled": "enabled"; "visible": "visible"; }, { "onActived": "onActived"; }, ["functionKeyComponents"], never, false, never>;
}
