import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { GC } from '../inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
import * as i0 from "@angular/core";
export declare class GcMultilineTextBoxComponent extends GcInputManBaseComponent<GC.InputMan.GcMultiLineTextBox> implements ControlValueAccessor {
    constructor(ref: ElementRef);
    private onChange;
    private onTouched;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(isDisabled: boolean): void;
    countWrappedLine: boolean;
    lengthAsByte: boolean;
    maxLength: number;
    maxLineCount: number;
    imeReadingStringKanaMode: GC.InputMan.KanaMode;
    scrollBarMode: GC.InputMan.ScrollBarMode;
    scrollBars: GC.InputMan.ScrollBars;
    wordWrap: boolean;
    acceptsReturn: boolean;
    acceptsTab: boolean;
    imeReadingStringAppend: boolean;
    height: number;
    imeReadingStringEnableAlphabetReadingMapping: boolean;
    exitOnLastChar: boolean;
    highlightText: boolean;
    format: string;
    autoConvert: boolean;
    text: string;
    lines: Array<string>;
    imeReadingString: string;
    cursorPosition: GC.InputMan.MultiLineCursorPosition;
    resize: GC.InputMan.ResizeMode;
    hiddenResizeIcon: boolean;
    trimMode: GC.InputMan.TrimMode;
    onEditStatusChanged: EventEmitter<object>;
    onInvalidInput: EventEmitter<object>;
    onKeyExit: EventEmitter<object>;
    onTextChanged: EventEmitter<object>;
    onIMEReadingStringOutput: EventEmitter<object>;
    textChange: EventEmitter<string>;
    imeReadingStringChange: EventEmitter<string>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcMultilineTextBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcMultilineTextBoxComponent, "gc-multiline-textbox", never, { "countWrappedLine": "countWrappedLine"; "lengthAsByte": "lengthAsByte"; "maxLength": "maxLength"; "maxLineCount": "maxLineCount"; "imeReadingStringKanaMode": "imeReadingStringKanaMode"; "scrollBarMode": "scrollBarMode"; "scrollBars": "scrollBars"; "wordWrap": "wordWrap"; "acceptsReturn": "acceptsReturn"; "acceptsTab": "acceptsTab"; "imeReadingStringAppend": "imeReadingStringAppend"; "height": "height"; "imeReadingStringEnableAlphabetReadingMapping": "imeReadingStringEnableAlphabetReadingMapping"; "exitOnLastChar": "exitOnLastChar"; "highlightText": "highlightText"; "format": "format"; "autoConvert": "autoConvert"; "text": "text"; "lines": "lines"; "imeReadingString": "imeReadingString"; "cursorPosition": "cursorPosition"; "resize": "resize"; "hiddenResizeIcon": "hiddenResizeIcon"; "trimMode": "trimMode"; }, { "onEditStatusChanged": "onEditStatusChanged"; "onInvalidInput": "onInvalidInput"; "onKeyExit": "onKeyExit"; "onTextChanged": "onTextChanged"; "onIMEReadingStringOutput": "onIMEReadingStringOutput"; "textChange": "textChange"; "imeReadingStringChange": "imeReadingStringChange"; }, never, never, false, never>;
}
